import simple.http.Request;
import simple.http.Response;
import simple.http.load.Service;
import simple.http.serve.Context;
import simple.http.session.Session;
import java.util.Date;
import java.io.PrintStream;


public class SimpleSessionService extends Service {

    public SimpleSessionService(Context context) {
	super(context);
    }

    public void process(Request req, Response resp) throws Exception {
	int set = req.getParameters().getInteger("set");
	Session session = req.getSession();
	if (session.isEmpty()) {
	    session.put("Date", new Date());
	    
	}
	if (!session.contains("Count")) {
	    session.put("Count", new Integer(0));
	}
	int count = ((Integer)session.get("Count")).intValue() + 1;
	if (set > 0) {
	    count = set;
	}
	session.put("Count", new Integer(count));
	PrintStream out = resp.getPrintStream();
	resp.set("Content-Type", "text/html");
	out.println("<html>");
	out.println("<head><title>SimpleSessionService</title></head>");
	out.println("<body>Session stared at " );
	out.println(session.get("Date"));
	out.println(" and visited ");
	out.println(session.get("Count"));
	out.println("time (s)<br>");
	out.println("set " + req.getParameter("set"));
	out.println("</body>");
	out.println("</html>");
	// NOTE: you have to close it at the end
	out.close();
    }
}